package jxl.write.biff;

import common.Logger;
import jxl.Cell;
import jxl.CellType;
import jxl.biff.Type;
import jxl.format.CellFormat;

public abstract class BlankRecord extends CellValue {
  private static Logger logger = Logger.getLogger(BlankRecord.class);
  
  protected BlankRecord(int c, int r) {
    super(Type.BLANK, c, r);
  }
  
  protected BlankRecord(int c, int r, CellFormat st) {
    super(Type.BLANK, c, r, st);
  }
  
  protected BlankRecord(Cell c) {
    super(Type.BLANK, c);
  }
  
  protected BlankRecord(int c, int r, BlankRecord br) {
    super(Type.BLANK, c, r, br);
  }
  
  public CellType getType() {
    return CellType.EMPTY;
  }
  
  public String getContents() {
    return "";
  }
}
